/**
 * File:  MPR121_drv.h
 *
 * Definitions for NXP/Freescale MPR121 capacitive touch sensor device.
 */
#ifndef MPR121_DEF_H
#define MPR121_DEF_H

#include "../system_def.h"

// Still experimenting with config param's... not yet optimised?  -MJB
//
//#define USE_ADAFRUIT_CONFIG   1
#define USE_SPARKFUN_CONFIG   1


// Electrode touch and release threshold values
#ifdef USE_SPARKFUN_CONFIG
#define TOUCH_THRESHOLD      15
#define RELEASE_THRESHOLD    10
#else // USE_ADAFRUIT_CONFIG
#define TOUCH_THRESHOLD      12
#define RELEASE_THRESHOLD     6
#endif

// MPR121 Register Numbers
//
#define TOUCH_STATUS0_REG  0x00
#define TOUCH_STATUS1_REG  0x01
//
#define MHD_RISING_REG     0x2B
#define NHD_RISING_REG     0x2C
#define NCL_RISING_REG     0x2D
#define FDL_RISING_REG     0x2E
#define MHD_FALLING_REG    0x2F
#define NHD_FALLING_REG    0x30
#define NCL_FALLING_REG    0x31
#define FDL_FALLING_REG    0x32
#define NHD_TOUCHED_REG    0x33
#define NCL_TOUCHED_REG    0x34
#define FDL_TOUCHED_REG    0x35
//
#define TOUCH_THRESH0_REG  0x41
#define TOUCH_RELEAS0_REG  0x42
//
#define AFE_CONFIG1_REG    0x5C
#define AFE_CONFIG2_REG    0x5D
#define ELE_CONFIG_REG     0x5E
//
#define GPIO_CTRL0_REG     0x73
#define GPIO_CTRL1_REG     0x74
#define GPIO_DATA_REG      0x75
#define GPIO_DIRN_REG      0x76
#define GPIO_ENABLE_REG    0x77
//
#define MPR121_RESET_REG   0x80


int   MPR121_RegisterWrite(uint8 regNum, uint8 regData);
int   MPR121_RegisterRead(uint8 regNum);
int   MPR121_SoftReset();
void  MPR121_TouchSetup(uint8 electrodeCount);


#endif  // MPR121_DEF_H
