/****************************************************************************************
 *
 * FileName:   MIDI_comms_lib.h 
 *
 *
 * =======================================================================================
 */
#ifndef _MIDI_COMMS_LIB_H
#define _MIDI_COMMS_LIB_H

#include "system_def.h"
#include "Drivers/UART_drv.h"

#define OMNI_ON_POLY      1   // MIDI device responds in Poly mode on all channels
#define OMNI_ON_MONO      2   // MIDI device responds in Mono mode on all channels
#define OMNI_OFF_POLY     3   // MIDI device responds in Poly mode on base channel only
#define OMNI_OFF_MONO     4   // MIDI device responds in Mono mode on base channel only


// MIDI Channel Voice Messages ------------------------------------------------
void   MIDI_SendNoteOn(uint8 chan, uint8 noteNum, uint8 velocity);
void   MIDI_SendNoteOff(uint8 chan, uint8 noteNum);
void   MIDI_SendAfterTouch(uint8 chan, uint8 level);
void   MIDI_SendPitchBend(uint8 chan, uint16 value);
void   MIDI_SendControlChange(uint8 chan, uint8 ctrlNum, uint8 value);
void   MIDI_SendProgramChange(uint8 chan, uint8 progNum);

// MIDI Channel Mode and System Messages --------------------------------------
void   MIDI_SendReceiverMode(uint8 chan, uint8 mode);
void   MIDI_SendAllSoundOff(uint8 chan);
void   MIDI_SendResetAllControllers(uint8 chan);


#endif // _MIDI_COMMS_LIB_H
