/**
 *   File: RTC_support.h
 */
#ifndef RTC_SUPPORT_H
#define RTC_SUPPORT_H

#include "system_def.h"
#include "Drivers/I2C_drv.h"

/* RTC date.time structure */
struct  tDateTime        
{
	uint8  year;
	uint8  month;
	uint8  day;		/* day-of-the-month, 1..31 */
	uint8  dow;		/* day-of-the-week, 0..6, Sunday == 0 */
	uint8  hour;		/* hour of day, 24hour format (0..23) */
	uint8  mins;
	uint8  secs;
};

extern  struct  tDateTime  gsRTCbuf;     // global RTC buffer for use by application
extern  struct  tDateTime  sRTC;         // "live" RTC date-time "registers"

extern  char *asDayOfWeekName[];         // array of strings "SUN", "MON", "TUE", etc. (0 is SUN)
extern  char *asMonthName[];             // array of strings "JAN", "FEB", "MAR", etc. (1 is JAN)

int    UpdateFSrealTimeVars(void);

void   RTC_NewDayRolloverTask(void);
void   RTC_date_time_set( void );
BYTE   RTC_date_time_read( void );

SHORT  days_in_whole_year( uint8 bYear );
SHORT  day_of_this_year( void );

int    RTCC_Initialize( void );
int    RTCC_Synchronize( void );

int    RTC_RegWrite(uint8 regaddr, uint8 regdata);
int    RTC_RegRead(uint8 regaddr);

uint8  BCDincrMod60(uint8 bcd_byte);
uint8  Byte_to_BCD(uint8 bin_byte);
uint8  BCD_to_binary(uint8 BCD_byte);


#endif // RTC_SUPPORT_H
