/**
 *   File:    pcm_audio.h
 */
#ifndef _PCM_AUDIO_H
#define _PCM_AUDIO_H

#include "system_def.h"

// Define this symbol only if the Sound Synth module is included in the firmware build:
#define USE_SOUND_SYNTH_MODULE  1

// Define PIC32 Output Compare pin to match hardware platform...
//
#define PORTD_BIT    3         // e.g. PORTD_BIT = 3 for RD3/OC4
#define OC_CON_REG   OC4CON
#define OC_R_REG     OC4R
#define OC_RS_REG    OC4RS

// Set of values for 'Play Mode' ...
#define PLAY_SOUND_INTERNAL_FLASH  'I'   // Sound data is in internal MCU flash
#define PLAY_SOUND_EXTERNAL_FLASH  'E'   // Sound data is in external SDF memory


extern float  g_AudioVolume;   // Audio volume control (user-settable param, 0..100)
extern const  int16  short_beep_2500Hz[];  // Test clip, internal flash

void  PCM_Audio_Init(void);
void  PlaySound(const int16 *soundDefn, uint32 duration);
void  PlaySoundFile(short file_ID, uint32 duration);
void  PlaySoundFileNamed(char *sdf_filename);
BOOL  AudioPlayerActive(void);


#endif // _PCM_AUDIO_H
